<div id="data-space-consumption">
  <div class="d-flex">
    <app-context-tree-menu
      [isView]="true"
      [isMonitoring]="true"
      [nodeList]="dataSpace && dataSpace.nodeList"
    ></app-context-tree-menu>

    <div class="data-space-consumption-wrapper spacer">
      <mat-toolbar class="mat-elevation-z3">
        <button
          class="opacity-0"
          mat-icon-button
          aria-label="Icon-button with Arrow back icon"
        >
          <mat-icon aria-hidden="false" aria-label="Arrow back icon">
            arrow_back
          </mat-icon>
        </button>
        <span>
          <app-breadcrumb
            [dataSpaceName]="dataSpace$ && (dataSpace$ | async)?.name!"
            [dataSpaceId]="dataSpace$ && (dataSpace$ | async)?.id!"
            [isMonitoring]="true"
          ></app-breadcrumb>
        </span>
        <span class="spacer"></span>
      </mat-toolbar>

      <section class="consumption-content bg-ec">
        <mat-tab-group
          mat-stretch-tabs="false"
          mat-align-tabs="start"
          class="bg-eu"
        >
          <mat-tab>
            <ng-template mat-tab-label>
              <mat-icon class="tab-icon"> speed </mat-icon>
              Current consumption
            </ng-template>
            <app-data-space-current-consumption
              [currentDomain]="_domain"
              [currentId]="_domainId || dataSpace.id!"
              [sortBy]="_sortBy"
            ></app-data-space-current-consumption>
          </mat-tab>
          <mat-tab>
            <ng-template mat-tab-label>
              <mat-icon class="tab-icon"> timeline </mat-icon>
              Historical consumption
            </ng-template>
            <app-historical-consumption
              [historicalDomain]="_domain"
              [domainId]="_domainId"
            ></app-historical-consumption>
          </mat-tab>
        </mat-tab-group>
      </section>
    </div>
  </div>
</div>
